=== debian/changelog ===
lomiri (0.1~git20230111.ba0fc6a-5) unstable; urgency=medium

  * debian/control: Move lsc to recommends and comment it out for 
    now (closes #1029292)

 -- Marius Gripsgard <marius@ubports.com>  Sun, 22 Jan 2023 07:24:24 +0000

lomiri (0.1~git20230111.ba0fc6a-4) unstable; urgency=medium

  * Upload as is to unstable.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 13 Jan 2023 13:25:30 +0100

lomiri (0.1~git20230111.ba0fc6a-3) experimental; urgency=medium

  * debian/rules:
    + Only adjust permissions in lomiri-tests bin:pkg if it gets built. This
      resolves currently failing arch:all builds on buildd.debian.org.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 12 Jan 2023 23:51:56 +0100

lomiri (0.1~git20230111.ba0fc6a-2) experimental; urgency=medium

  * debian/lomiri-tests: Disable nonmirplugins as this does not
    work with mir2 yet

 -- Marius Gripsgard <marius@ubports.com>  Thu, 12 Jan 2023 14:43:33 +0100

lomiri (0.1~git20230111.ba0fc6a-1) experimental; urgency=medium

  * New git snapshot (0.1~git20230111.ba0fc6a)
  * debian/patches: Drop upstreamed patches
    + 0001_copyright-headers-Use-uniform-spelling-of-Canonical-.patch
    + 1001_tests-in-libexecdir.patch
    + 1002_build-doc-in-html-subdir.patch
  * debian/control: Add B-D on miroil-dev and miral-dev
  * debian/patches: Add patches to support mir v2.x
    + 0001-Add-support-for-both-older-qtmir-and-newer-qtmir-wit.patch
    + disable-broken-test-mir2.patch
  * debian/control: Bump qtmirserver-dev required version to 0.8.0~

 -- Marius Gripsgard <marius@ubports.com>  Thu, 12 Jan 2023 01:25:14 +0100

lomiri (0.1~git20221008.596f06c-1) experimental; urgency=medium

  * Initial upload to Debian experimental. (Closes: #1023253).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 05 Nov 2022 20:53:26 +0100
