=== debian/control ===
Source: lomiri
Section: x11
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
 Marius Gripsgard <marius@ubports.com>,
Build-Depends:
 cmake,
 cmake-extras,
 dbus-test-runner,
 debhelper-compat (= 13),
 dh-apparmor,
 doxyqml,
 gdb,
 graphviz,
 lomiri-schemas,
 libdeviceinfo-dev,
 libevdev-dev,
 libgeonames-dev (>= 0.2),
 libgl1-mesa-dev[!arm64 !armhf] | libgl-dev[!arm64 !armhf],
 libgl1-mesa-dri,
 libgles2-mesa-dev[arm64 armhf],
 libglib2.0-dev,
 libgnome-desktop-3-dev,
 libgsettings-qt-dev,
 liblightdm-qt5-3-dev,
 liblomiri-connectivity-qt1-dev,
 libpam0g-dev,
 libpulse-dev,
 libqmenumodel-dev (>= 0.2.12),
 libqtmirserver-dev (>= 0.8.0~),
 libmiroil-dev,
 libmiral-dev,
 libqt5sql5-sqlite,
 libqt5svg5-dev,
 libqt5xmlpatterns5-dev,
 libqtdbusmock1-dev (>= 0.7),
 libqtdbustest1-dev,
 libsystemd-dev [linux-any],
 liblomirisystemsettings-dev,
 liblomiri-app-launch-dev,
 liblomiri-download-manager-common-dev,
 liblomirigestures-dev (>= 1.3.2030),
 liblomirigestures5-private-dev (>= 1.3.2030),
 libudev-dev,
 libldm-common-dev,
 liblomiri-api-dev,
 libusermetricsoutput-dev,
 libx11-dev[!arm64 !armhf],
 libxcb1-dev[!arm64 !armhf],
 libxi-dev[!arm64 !armhf],
 mirtest-dev,
 pkg-config,
 python3-all:any,
 python3-setuptools,
 qml-module-qt-labs-folderlistmodel,
 qml-module-qt-labs-settings,
 qml-module-qtmultimedia (>= 5.6),
 qml-module-qtqml-statemachine,
 qml-module-qtquick-layouts,
 qml-module-qtquick-xmllistmodel,
 qml-module-qtquick2,
 qml-module-qtsysteminfo,
 qml-module-qttest,
 qml-module-lomiri-components (>= 1.3.2030) | qml-module-lomiri-components-gles (>= 1.3.2030),
 qml-module-lomiri-layouts,
 qml-module-lomiri-settings-components,
 qml-module-lomiri-settings-menus,
 qml-module-lomiri-test,
 qtbase5-dev (>= 5.6),
 qtbase5-dev-tools,
 qtbase5-private-dev (>= 5.6),
 qtdbustest-runner,
 qtdeclarative5-dev (>= 5.6),
 qtdeclarative5-dev-tools,
 qtdeclarative5-private-dev (>= 5.6),
 qml-module-lomiri-content,
 systemd [linux-any],
# fonts-ubuntu,
 xvfb,
 xauth,
# mirtest pkgconfig requires these, but doesn't have a deb dependency. Bug lp:1633537
 libboost-filesystem-dev,
 libboost-system-dev,
 rdfind,
 symlinks,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/development/core/lomiri
Vcs-Git: https://salsa.debian.org/ubports-team/lomiri.git
Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri

Package: lomiri-greeter
Architecture: all
Depends:
 lomiri (>= ${source:Version}), lomiri (<< ${source:Version}.1~),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 lightdm,
# TODO add once lsc is in
# lomiri-system-compositor,
Provides:
 lightdm-greeter,
Description: LightDM Greeter for the Lomiri Operating Environment
 Lomiri is an operating environment optimized for touch based
 human-machine interaction, but also supporting convergence (i.e.
 switching between tablet/phone and desktop mode). Lomiri is the user
 shell driving Ubuntu Touch based mobile devices.
 .
 This package provides the Lomiri Greeter.

Package: lomiri
Architecture: any
Provides:
 indicator-renderer,
 notification-daemon
Depends:
 dmz-cursor-theme,
 gsettings-desktop-schemas,
 libcap2-bin,
 libglib2.0-bin,
 qml-module-biometryd,
 qml-module-lomiri-components,
 qml-module-lomiri-layouts,
 qml-module-lomiri-settings-menus,
 qml-module-qmenumodel1,
 qml-module-qt-labs-folderlistmodel,
 qml-module-qt-labs-settings,
 qml-module-qtmir (>= 0.4.8),
 qml-module-qtqml-statemachine,
 qml-module-qtquick-xmllistmodel,
 qml-module-qtsysteminfo,
 qml-module-hfd,
# qtdeclarative5-lomiri-telephony0.1,
 qtmir,
 lomiri-system-settings (>= 0.4),
 lomiri-launcher-impl-13,
 lomiri-common (>= ${source:Version}), lomiri-common (<< ${source:Version}.1~),
 liblomiri-private0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 indicator-keyboard,
 indicator-session,
 lomiri-greeter-session-broadcast,
Breaks:
 indicator-network (<< 0.5.1+14.10.20141014),
 lomiri-keyboard (<< 0.100),
 lomiri-touch-session (<< 0.107),
 lomiri-scope-tool,
Replaces:
 lomiri-touch-session (<< 0.82~),
 lomiri-scope-tool,
Conflicts:
 lomiri-system-settings-wizard,
Description: Shell of the Lomiri Operating Environment
 Shell of the Lomiri Operating environment optimized for touch based
 human-machine interaction, but also supporting convergence (i.e.
 switching between tablet/phone and desktop mode). Lomiri is the user
 shell driving Ubuntu Touch based mobile devices.
 .
 This package provides the Lomiri shell.

Package: lomiri-common
Architecture: all
Depends:
 qml-module-qtquick-layouts,
 qml-module-lomiri-components (>= 1.3.2030) | qml-module-lomiri-components-gles (>= 1.3.2030),
 qml-module-lomiri-settings-components,
 qml-module-lomiri-thumbnailer,
 qtdeclarative5-lomiri-notifications-plugin (>= 0.1.2) | lomiri-notifications-impl,
 qttranslations5-l10n,
 lomiri-application-impl-27,
 lomiri-notifications-impl-3,
 lomiri-schemas,
 lomiri-tests | lomiri-application-impl,
 ${misc:Depends},
Description: Shell of the Lomiri Operating Environment (common files)
 Shell of the Lomiri Operating environment optimized for touch based
 human-machine interaction, but also supporting convergence (i.e.
 switching between tablet/phone and desktop mode). Lomiri is the user
 shell driving Ubuntu Touch based mobile devices.
 .
 This package contains the QML, graphics and locale files for lomiri.

Package: lomiri-tests
Architecture: any
Multi-Arch: foreign
Depends:
 dbus-test-runner,
 parallel,
 qtdbustest-runner,
 qtdeclarative5-dev-tools,
 lomiri (= ${binary:Version}),
 xauth,
 xvfb,
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 lomiri-application-impl,
 lomiri-application-impl-27,
 lomiri-fake-env,
Replaces:
 lomiri-autopilot (<< 8.02+15.04.20150422-0lomiri1),
 lomiri-fake-env,
Conflicts:
 lomiri-fake-env,
Description: Scripts and mocks for running Lomiri Shell tests
 Lomiri is an operating environment optimized for touch based
 human-machine interaction, but also supporting convergence (i.e.
 switching between tablet/phone and desktop mode). Lomiri is the user
 shell driving Ubuntu Touch based mobile devices.
 .
 This package provides fake implementations of some QML modules used by
 the Lomiri Shell (e.g. Lomiri.Application) so that you can run it in a
 sandboxed environment; it also provides scripts to run its test suite.

Package: liblomiri-private0
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 lomiri-schemas,
 qml-module-gsettings1.0,
 qml-module-qtmultimedia,
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 lomiri-launcher-impl,
 lomiri-launcher-impl-13,
Breaks:
 lomiri-private,
Replaces:
 lomiri-private,
Description: Lomiri Operating Environment's Shell (private libs)
 Lomiri is an operating environment optimized for touch based
 human-machine interaction, but also supporting convergence (i.e.
 switching between tablet/phone and desktop mode). Lomiri is the user
 shell driving Ubuntu Touch based mobile devices.
 .
 This package contains the private libraries for QML and other components
 only used by the Lomiri Shell.

Package: lomiri-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Lomiri Operating Environment's Shell (documentation files)
 Lomiri is an operating environment optimized for touch based
 human-machine interaction, but also supporting convergence (i.e.
 switching between tablet/phone and desktop mode). Lomiri is the user
 shell driving Ubuntu Touch based mobile devices.
 .
 This package provides documentation of the Lomiri Shell.
