=== debian/watch ===
version=4
opts="mode=git, pgpmode=none,  pretty=0.1~git%cd.%h" \
https://gitlab.com/ubports/development/core/lomiri \
HEAD debian uupdate
