## lomiri 0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,15 @@
     set(CMAKE_INSTALL_PREFIX ${CMAKE_BINARY_DIR}/install CACHE PATH "" FORCE)
 endif()
 
-project(lomiri C CXX)
+project(lomiri VERSION 0.1 LANGUAGES C CXX)
+
+set(SHELL_APP lomiri)
+set(INDICATORS_CLIENT_APP indicators-client)
+set(GREETER_APP lomiri-greeter)
+
+set (DESKTOP_FILE_SHELL "${SHELL_APP}.desktop")
+set (DESKTOP_FILE_GREETER "${GREETER_APP}.desktop")
+set (DESKTOP_FILE_INDICATORSCLIENT "${INDICATORS_CLIENT_APP}.desktop")
 
 if(${PROJECT_BINARY_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
    message(FATAL_ERROR "In-tree build attempt detected, aborting. Set your build dir outside your source dir, delete CMakeCache.txt from source root and try again.")
@@ -74,7 +82,7 @@
 find_package(Qt5Network 5.6 REQUIRED)
 find_package(Qt5Xml 5.6 REQUIRED)
 
-pkg_check_modules(APPLICATION_API REQUIRED lomiri-shell-application=27)
+pkg_check_modules(APPLICATION_API REQUIRED lomiri-shell-application=28)
 pkg_check_modules(QTMIRSERVER REQUIRED qtmirserver>=0.6.0)
 pkg_check_modules(GEONAMES REQUIRED geonames>=0.2)
 pkg_check_modules(GIO REQUIRED gio-2.0>=2.32)
@@ -84,10 +92,6 @@
 pkg_check_modules(GD3 REQUIRED gnome-desktop-3.0)
 pkg_check_modules(UAL REQUIRED lomiri-app-launch-0)
 pkg_check_modules(LOMIRIGESTURES REQUIRED LomiriGestures)
-pkg_check_modules(QTDBUSTEST REQUIRED
-    libqtdbustest-1
-    libqtdbusmock-1
-    )
 pkg_check_modules(MIRAL REQUIRED miral)
 pkg_check_modules(DEVICEINFO REQUIRED deviceinfo)
 
@@ -153,9 +157,6 @@
 include(autopilot)
 declare_autopilot_test(shell lomiri.shell ${CMAKE_SOURCE_DIR}/tests/autopilot/)
 
-set(SHELL_APP lomiri)
-set(INDICATORS_CLIENT_APP indicators-client)
-set(GREETER_APP lomiri-greeter)
 set(MOCK_INDICATOR_SERVICE_APP lomiri-mock-indicator-service)
 
 include_directories(
@@ -189,6 +190,10 @@
 # Tests
 set(NO_TESTS OFF CACHE BOOL "Disable tests.")
 if (NOT NO_TESTS)
+    pkg_check_modules(QTDBUSTEST REQUIRED
+        libqtdbustest-1
+        libqtdbusmock-1
+        )
     include(CTest)
     enable_testing()
     add_subdirectory(tests)
