=== debian/changelog ===
lomiri (0.1-2) unstable; urgency=medium

  [ Mike Gabriel ]
  * debian/control: Move lsc to recommends and comment it out for now (Closes:
    #1029292). This issue saw a regression, because upload 0.1-1 was based on
    0.1~git20230111.ba0fc6a-4 instead of 0.1~git20230111.ba0fc6a-5.
  * debian/changelog:
    + Weave-in stanza for lost 0.1~git20230111.ba0fc6a-5.
    + Amend white-space and typos of changelog item in
      0.1~git20230111.ba0fc6a-5.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 07 Feb 2023 22:33:43 +0100

lomiri (0.1-1) unstable; urgency=medium

  * Initial upstream release.
  * debian/watch:
    + Start watching upstream releases.
  * debian/copyright:
    + Update copyright attributions for debian/.
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
    + Bump versioned B-D of liblomiri-api-dev to (>= 0.2.0) (which implements
      lomiri-application-shell level 28 required by this version of Lomiri.
      (Closes: #1030439).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 06 Feb 2023 22:01:03 +0100
