=== debian/control ===
--- 
+++ 
@@ -45,7 +45,7 @@
  liblomirigestures5-private-dev (>= 1.3.2030),
  libudev-dev,
  libldm-common-dev,
- liblomiri-api-dev,
+ liblomiri-api-dev (>= 0.2.0),
  libusermetricsoutput-dev,
  libx11-dev[!arm64 !armhf],
  libxcb1-dev[!arm64 !armhf],
@@ -63,7 +63,7 @@
  qml-module-qtquick2,
  qml-module-qtsysteminfo,
  qml-module-qttest,
- qml-module-lomiri-components (>= 1.3.2030) | qml-module-lomiri-components-gles (>= 1.3.2030),
+ qml-module-lomiri-components (>= 1.3.5000),
  qml-module-lomiri-layouts,
  qml-module-lomiri-settings-components,
  qml-module-lomiri-settings-menus,
@@ -85,7 +85,7 @@
  libboost-system-dev,
  rdfind,
  symlinks,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/core/lomiri
 Vcs-Git: https://salsa.debian.org/ubports-team/lomiri.git
