=== debian/watch ===
version=4
https://gitlab.com/ubports/development/core/lomiri/tags .*/lomiri-(\d\S+)\.tar\.gz
