## lomiri 0.1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
     set(CMAKE_INSTALL_PREFIX ${CMAKE_BINARY_DIR}/install CACHE PATH "" FORCE)
 endif()
 
-project(lomiri VERSION 0.1 LANGUAGES C CXX)
+project(lomiri VERSION 0.1.2 LANGUAGES C CXX)
 
 set(SHELL_APP lomiri)
 set(INDICATORS_CLIENT_APP indicators-client)
@@ -90,10 +90,12 @@
 pkg_check_modules(LAUNCHER_API REQUIRED lomiri-shell-launcher=13)
 pkg_check_modules(QMENUMODEL REQUIRED qmenumodel)
 pkg_check_modules(GD3 REQUIRED gnome-desktop-3.0)
-pkg_check_modules(UAL REQUIRED lomiri-app-launch-0)
+# 0.1.5 adds lal-application-end.target.
+pkg_check_modules(UAL REQUIRED lomiri-app-launch-0>=0.1.5)
 pkg_check_modules(LOMIRIGESTURES REQUIRED LomiriGestures)
 pkg_check_modules(MIRAL REQUIRED miral)
 pkg_check_modules(DEVICEINFO REQUIRED deviceinfo)
+pkg_check_modules(LOMIRISCHEMA REQUIRED lomiri-schemas>=0.1.3)
 
 ### Check LomiriGestures private headers. No pkg-config (.pc) file is provided for them
 find_path(LOMIRIGESTUREPRIV
