=== data/systemd-user/CMakeLists.txt ===
--- 
+++ 
@@ -27,3 +27,8 @@
     lomiri-systemd-wrapper
     DESTINATION ${CMAKE_INSTALL_FULL_LIBEXECDIR}
 )
+
+install(PROGRAMS
+    Xwayland.lomiri
+    DESTINATION ${CMAKE_INSTALL_FULL_LIBEXECDIR}
+)
