=== plugins/WindowManager/CMakeLists.txt ===
include_directories(
    SYSTEM
    ${QTMIRSERVER_INCLUDE_DIRS}
    ${Qt5Gui_PRIVATE_INCLUDE_DIRS}
)

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${liblomiri-private_SOURCE_DIR}
)

set(WINDOWMANAGER_SRC
    AvailableDesktopArea.cpp
    TopLevelWindowModel.cpp
    Window.cpp
    WindowManagerPlugin.cpp
    WindowMargins.cpp
    Screen.cpp
    ScreenAttached.cpp
    Screens.cpp
    ScreensConfiguration.cpp
    ScreenWindow.cpp
    WindowManagerObjects.cpp
    Workspace.cpp
    WorkspaceManager.cpp
    WorkspaceModel.cpp
    InputMethodManager.cpp
    ${APPLICATION_API_INCLUDEDIR}/lomiri/shell/application/ApplicationInfoInterface.h
    ${APPLICATION_API_INCLUDEDIR}/lomiri/shell/application/ApplicationManagerInterface.h
    ${APPLICATION_API_INCLUDEDIR}/lomiri/shell/application/Mir.h
    ${APPLICATION_API_INCLUDEDIR}/lomiri/shell/application/MirSurfaceInterface.h
    ${APPLICATION_API_INCLUDEDIR}/lomiri/shell/application/MirSurfaceListInterface.h
    ${APPLICATION_API_INCLUDEDIR}/lomiri/shell/application/SurfaceManagerInterface.h
)

add_definitions(-DWINDOWMANAGERQML_LIBRARY)

add_library(windowmanager-qml SHARED ${WINDOWMANAGER_SRC})

target_link_libraries(windowmanager-qml
    Qt5::Qml Qt5::Quick Qt5::Gui
    ${QTMIRSERVER_LDFLAGS}
    lomiri-private
)

add_lomiri_plugin(WindowManager 1.0 WindowManager TARGETS windowmanager-qml)
