=== plugins/Greeter/Lomiri/CMakeLists.txt ===
add_subdirectory(Launcher)
