=== debian/changelog ===
lomiri (0.1.2-4build1) mantic; urgency=medium

  * No-change rebuild against Qt 5.15.10.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 20 Jun 2023 23:52:30 +0300

lomiri (0.1.2-4) unstable; urgency=medium

  [ Marius Gripsgard ]
  * debian/*.lintian-overrides:
    + Add override for missing man pages (no need on wrappers).
  * debian/control:
    + Remove redundant recommends (we depend on it alredy).
    + Depend on libgl-dev package only.
  * debian/liblomiri-private.lintian-overrides:
    + Add lintian override for missing symbols file.

  [ Mike Gabriel ]
  * debian/patches:
    + Add 1005_cursor-always-follow-cursor-position-from-mir.patch. Keep cursor
      in Mir and in e.g. Qemu in sync.
  * debian/watch:
    + Adjust watch URL.

  [ Vagrant Cascadian ]
  * debian/rules:
    + Add dh_installdocs override to remove results.txt. (Closes: #1034200).
  * debian/patches: Add 1006_avoid-embedding-a-randomized-HOME-value.patch.
    + tests/plugins/Utils/CMakeLists.txt: Avoid embedding a randomized HOME
      value. (Closes: #1034199).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 11 Jun 2023 13:36:37 +0200

lomiri (0.1.2-3) unstable; urgency=medium

  * debian/{home.svg,lomiri-common.install}:
    + Lomiri shows the Ubuntu logo in its launcher. For a non-Ubuntu
      distribution this is inappropriate. As Lomiri has its own logo,
      ship and use that one instead.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 01 Mar 2023 08:07:12 +0100

lomiri (0.1.2-2) unstable; urgency=medium

  * debian/control:
    + Add to R (lomiri): lomiri-system-settings (this avoids MATE components
      being pulled in via Ayatana Indicators packages.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 28 Feb 2023 19:41:40 +0100

lomiri (0.1.2-1) unstable; urgency=medium

  * New upstream release.
    - systemd-user: start lal-application-end.target on stop/restart.
    - Wizard: Fix AyatanaMenuModel attributes for Wi-Fi networks.
    - Refresh Drawer desktop files when the locale changes.
    - IndicatorMenuItemFactory: use activate() for toggle switch (again).
    - Allow one to set more than 4 digits pincode.
    - Restore restarts of session services after wizard locale change.
    - Translation updates.
    - Ship & enable Xwayland wrapper.
    - plugins: TopLevelWindowModel: Explicitly cause XWayland surfaces to die
      gracefully.
    - Trim time string to remove leading space.
  * debian/patches:
    + Drop 0001-Add-support-for-both-older-qtmir-and-newer-qtmir-wit.patch.
      Applied upstream.
  * debian/control:
    + Assure presence of lomiri-schemas (>= 0.1.3) in B-D and D (various
      bin:pkgs).
    + Require lomiri-app-launch (>= 0.1.5) in B-D and D.
    + Bump versioned B-D on libqtmirserver-dev to
      (>= 0.8.0~git20230223.bd21224-3~). This pkg revisions ships an important
      adjust of the dev:pkg's .pc file.
  * debian/lomiri.install:
    + Add Xwayland.lomiri.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 26 Feb 2023 18:32:05 +0100

lomiri (0.1-4) unstable; urgency=medium

  * debian/control:
    + Add to R (lomiri): maliit-keyboard.
    + Move Ayatana Indicators to D:.
    + Ensure installation of one of the Mir platforms.
    + Add to D: lomiri-indicator-network, lomiri-url-dispatcher.
    + Add to R: lomiri-indicator-transfer.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 14 Feb 2023 12:15:19 +0100

lomiri (0.1-3) unstable; urgency=medium

  * debian/control: Add back telephony as runtime dep

 -- Marius Gripsgard <marius@ubports.com>  Wed, 08 Feb 2023 03:54:13 +0100
