=== debian/control ===
--- 
+++ 
@@ -14,11 +14,11 @@
  doxyqml,
  gdb,
  graphviz,
- lomiri-schemas,
+ lomiri-schemas (>= 0.1.3),
  libdeviceinfo-dev,
  libevdev-dev,
  libgeonames-dev (>= 0.2),
- libgl1-mesa-dev[!arm64 !armhf] | libgl-dev[!arm64 !armhf],
+ libgl-dev[!arm64 !armhf],
  libgl1-mesa-dri,
  libgles2-mesa-dev[arm64 armhf],
  libglib2.0-dev,
@@ -29,7 +29,7 @@
  libpam0g-dev,
  libpulse-dev,
  libqmenumodel-dev (>= 0.2.12),
- libqtmirserver-dev (>= 0.8.0~),
+ libqtmirserver-dev (>= 0.8.0~git20230223.bd21224-3~),
  libmiroil-dev,
  libmiral-dev,
  libqt5sql5-sqlite,
@@ -39,7 +39,7 @@
  libqtdbustest1-dev,
  libsystemd-dev [linux-any],
  liblomirisystemsettings-dev,
- liblomiri-app-launch-dev,
+ liblomiri-app-launch-dev (>= 0.1.5),
  liblomiri-download-manager-common-dev,
  liblomirigestures-dev (>= 1.3.2030),
  liblomirigestures5-private-dev (>= 1.3.2030),
@@ -117,6 +117,15 @@
  indicator-renderer,
  notification-daemon
 Depends:
+ ayatana-indicator-bluetooth,
+ ayatana-indicator-datetime,
+ ayatana-indicator-display,
+ ayatana-indicator-keyboard,
+ ayatana-indicator-messages,
+ ayatana-indicator-power,
+ ayatana-indicator-session,
+ ayatana-indicator-sound,
+ lomiri-app-launch (>= 0.1.5),
  dmz-cursor-theme,
  gsettings-desktop-schemas,
  libcap2-bin,
@@ -124,6 +133,7 @@
  qml-module-biometryd,
  qml-module-lomiri-components,
  qml-module-lomiri-layouts,
+ qml-module-lomiri-telephony,
  qml-module-lomiri-settings-menus,
  qml-module-qmenumodel1,
  qml-module-qt-labs-folderlistmodel,
@@ -133,18 +143,21 @@
  qml-module-qtquick-xmllistmodel,
  qml-module-qtsysteminfo,
  qml-module-hfd,
-# qtdeclarative5-lomiri-telephony0.1,
  qtmir,
+ lomiri-indicator-network,
  lomiri-system-settings (>= 0.4),
+ lomiri-url-dispatcher,
  lomiri-launcher-impl-13,
  lomiri-common (>= ${source:Version}), lomiri-common (<< ${source:Version}.1~),
  liblomiri-private0 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
- indicator-keyboard,
- indicator-session,
+ mir-platform-graphics-gbm-kms | mir-platform-graphics-eglstream-kms | mir-platform-graphics-wayland | mir-platform-graphics-x,
+ lomiri-desktop-session | lomiri-touch-session,
  lomiri-greeter-session-broadcast,
+ lomiri-indicator-transfer,
+ maliit-keyboard,
 Breaks:
  indicator-network (<< 0.5.1+14.10.20141014),
  lomiri-keyboard (<< 0.100),
@@ -174,7 +187,7 @@
  qttranslations5-l10n,
  lomiri-application-impl-27,
  lomiri-notifications-impl-3,
- lomiri-schemas,
+ lomiri-schemas (>= 0.1.3),
  lomiri-tests | lomiri-application-impl,
  ${misc:Depends},
 Description: Shell of the Lomiri Operating Environment (common files)
@@ -222,7 +235,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- lomiri-schemas,
+ lomiri-schemas (>= 0.1.3),
  qml-module-gsettings1.0,
  qml-module-qtmultimedia,
  ${misc:Depends},
